Hello All!

I am/was running (upgraded to) Ubuntu 12.10 AMD64 with the version of motion that is in the repositories.
Everything runs fine, except that when I use the Video_pipe -  (or /dev/videoX ) I kept getting an error involving not being able to connect to loopback device.

I installed v4l2 loopback and that created the extra devices (ie. /dev/video4, /dev/video5, etc.) but it still wouldn't connect.

I read somewhere that the newer version 3.3.0 in the motion svn trunk fixed the problem I was having, so I uninstalled motion and downloaded the motion svn.

Now, when I try to ./configure I get:

checking for gcc... gcc
checking whether the C compiler works... yes
checking for C compiler default output file name... a.out
checking for suffix of executables...
checking whether we are cross compiling... no
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether gcc accepts -g... yes
checking for gcc option to accept ISO C89... none needed
checking for Darwin... no
checking for *BSD... no
checking for gcc... (cached) gcc
checking whether we are using the GNU C compiler... (cached) yes
checking whether gcc accepts -g... (cached) yes
checking for gcc option to accept ISO C89... (cached) none needed
checking threads... yes
checking for sdl... yes
checking for libjpeg-turbo... skipping
checking for libjpeg-mmx... skipping
checking for jpeg_set_defaults in -ljpeg... no

You do not have libjpeg installed

checking for ffmpeg autodetecting libraries... not found

**********************************************
* libavcodec.a or libavcodec.so or           *
* libavformat.a or libavformat.so not found: *
*    ALL FFMPEG FEATURES DISABLED            *
*                                            *
* Please read the Motion Guide for help:     *
* http://motion.sourceforge.net              *
**********************************************

checking for sqlite3_open in -lsqlite3... no
checking for mysql support... testing
checking autodect mysql headers... not found
Invalid MySQL directory - unable to find mysql.h.
checking for PostgreSQL... testing
checking autodect pgsql headers... not found
Invalid PostgreSQL directory - unable to find libpq-fe.h.
checking how to run the C preprocessor... gcc -E
checking for grep that handles long lines and -e... /bin/grep
checking for egrep... /bin/grep -E
checking for ANSI C header files... yes
checking for sys/types.h... yes
checking for sys/stat.h... yes
checking for stdlib.h... yes
checking for string.h... yes
checking for memory.h... yes
checking for strings.h... yes
checking for inttypes.h... yes
checking for stdint.h... yes
checking for unistd.h... yes
checking stdio.h usability... yes
checking stdio.h presence... yes
checking for stdio.h... yes
checking for unistd.h... (cached) yes
checking for stdint.h... (cached) yes
checking fcntl.h usability... yes
checking fcntl.h presence... yes
checking for fcntl.h... yes
checking time.h usability... yes
checking time.h presence... yes
checking for time.h... yes
checking signal.h usability... yes
checking signal.h presence... yes
checking for signal.h... yes
checking sys/ioctl.h usability... yes
checking sys/ioctl.h presence... yes
checking for sys/ioctl.h... yes
checking sys/mman.h usability... yes
checking sys/mman.h presence... yes
checking for sys/mman.h... yes
checking linux/videodev.h usability... no
checking linux/videodev.h presence... no
checking for linux/videodev.h... no
checking linux/videodev2.h usability... yes
checking linux/videodev2.h presence... yes
checking for linux/videodev2.h... yes
checking sys/param.h usability... yes
checking sys/param.h presence... yes
checking for sys/param.h... yes
checking for sys/types.h... (cached) yes
checking for get_current_dir_name... yes
checking for struct v4l2_buffer... no
checking for V42L support... no
checking for V42L *old* support... testing
checking for linux/videodev2.h... (cached) yes
checking size of short... 2
checking size of int... 4
checking size of long int... 8
checking size of long long... 8
checking size of int *... 8
checking size of void *... 8
checking for an ANSI C-conforming const... yes
Detected CPU: AMD Athlon(tm) II X2 250 Processor
CPU optimization: -march=native -mtune=native
checking for bswap instruction... yes
checking for avformat_alloc_context... no
checking for av_avformat_alloc_context... no
checking for av_register_protocol2... no
checking for av_register_protocol... no
configure: creating ./config.status
config.status: creating thread1.conf
config.status: creating thread2.conf
config.status: creating thread3.conf
config.status: creating thread4.conf
config.status: creating motion-dist.conf
config.status: creating motion.init-FreeBSD.sh
config.status: creating motion.init-Debian
config.status: creating motion.init-Fedora
config.status: creating motion.spec
config.status: creating Makefile
config.status: creating config.h

   **************************
      Configure status      
      motion trunkREV557
   **************************

OS             :     Linux
pthread support:     Yes
jpeg support:        No
**********************************************
** Fatal Error YOU MUST HAVE jpeg Support  ***
**********************************************
V4L support:         Yes
V4L2 support:        Yes
SDL support:         Yes
FFmpeg support:      No
SQLite3 support:     No
MYSQL support:       No
PostgreSQL support:  No

CFLAGS:  -g -O2 -D_REENTRANT -I/usr/include/SDL -D_GNU_SOURCE=1 -D_REENTRANT -DMOTION_V4L2 -DMOTION_V4L2_OLD -DTYPE_32BIT="int" -DHAVE_BSWAP   -march=native -mtune=native
LIBS: -lm  -lpthread -L/usr/lib/x86_64-linux-gnu -lSDL
LDFLAGS: 

Install prefix:       /usr/local




It says I don't have libjpeg support.
I know that I have some version of libjpeg installed as I previously tried to install vloopback and it depended on libjpeg of some sort and when I tried to install the versions it wanted, it uninstalled the newer versions that were installed and installed older ones. I needed the newer versions, so I uninstalled the old ones and installed the newer ones again.

Note: not related to this problem, but possibly a future issue, unlike what's noted in the above .configure summary, I do have ffmpeg, mysql and postgresql installed.

Any ideas on how to get this svn to configure/install?
For now, I will re-install the Repository version of Motion, but I really need to use the video-pipe and motion_pipe option.

Thanks!
Beta Tester Badge 3